package lib

type Config struct {
	Env     string `env:"ENV" env-default:"prod"`
	Address string `env:"ADDRESS" env-default:":8090"`

	PostgresDSN string `env:"POSTGRES_DSN" required:"true"`
	RedisDSN    string `env:"REDIS_DSN" required:"true"`

	JWTSecret string `env:"JWT_SECRET" required:"true"`
}
