package lib

import (
	"errors"
)

var (
	ErrInternal     = errors.New("internal")
	ErrUnexpected   = errors.New("unexpected")
	ErrNoPermission = errors.New("no permission")
)

var (
	ErrBadHandleOrPassword = errors.New("bad handle or password")
	ErrBadRole             = errors.New("bad role")
	ErrTooShortPassword    = errors.New("too short password")
	ErrTooLongPassword     = errors.New("too long password")
	ErrBadEmail            = errors.New("bad email")
	ErrBadUsername         = errors.New("bad username")
	ErrTooShortUsername    = errors.New("too short username")
	ErrTooLongUsername     = errors.New("too long username")
)

var (
	ErrBadSession = errors.New("bad session")
)
